- name: Remove patroni and pgbouncer instances on secondary cluster
  gcp_compute_instance:
    name: "{{ secondary_instance }}-{{ item }}"
    machine_type: "{{ machine_type }}"
    zone: "{{ zone }}"
    project: "{{ project_id }}"
    auth_kind: serviceaccount
    service_account_file: "{{ credentials_file }}"
    state: absent
  with_items:
    - patroni-1
    - patroni-2
    - patroni-3
    - pgbouncer
  async: 300
  poll: 2